#!/bin/sh

PATH_PREFIX=`pwd`

rm -r ~/.config/htop
ln -s $PATH_PREFIX/config/htop ~/.config/htop

rm ~/.gitconfig
ln -s $PATH_PREFIX/gitconfig ~/.gitconfig

rm ~/.nanorc
ln -s $PATH_PREFIX/nanorc ~/.nanorc

rm ~/.p10k.zsh
ln -s $PATH_PREFIX/p10k.zsh ~/.p10k.zsh

rm ~/.tmux.conf
ln -s $PATH_PREFIX/tmux.conf ~/.tmux.conf

rm ~/.zshrc
ln -s $PATH_PREFIX/zshrc ~/.zshrc

rm ~/.fzf.zsh
ln -s $PATH_PREFIX/fzf.zsh ~/.fzf.zsh

rm -r ~/.config/lf
ln -s $PATH_PREFIX/config/lf ~/.config/lf

# https://github.com/gokcehan/lf/
echo "install 'exa fd bat tmux htop nano most ripgrep emacs zsh lf' if needed"
echo "copy restic.sh if desired/needed"
